Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Java] Class JmxBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.jmx.builder.JmxBuilderException

    public class JmxBuilderException
    extends java.lang.RuntimeException

Runtime exception used by JmxBuilder.

Authors:
  Vladimir Vivien

Constructor Summary
`JmxBuilderException()` Default constructor for exception.
`JmxBuilderException(java.lang.String ex)` Parameterized consructor.
`JmxBuilderException(java.lang.Throwable ex)` Parameterized constructor.
`JmxBuilderException(java.lang.String msg, java.lang.Throwable ex)` Parameterized constructor.

Method Summary

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### JmxBuilderException

    public JmxBuilderException()

  Default constructor for exception.

### JmxBuilderException

    public JmxBuilderException(java.lang.String ex)

  Parameterized consructor.
  Parameters:
    `ex` - - exception message.

### JmxBuilderException

    public JmxBuilderException(java.lang.Throwable ex)

  Parameterized constructor.
  Parameters:
    `ex` - - exception thrown.

### JmxBuilderException

    public JmxBuilderException(java.lang.String msg, java.lang.Throwable ex)

  Parameterized constructor.
  Parameters:
    `msg` - - exception message.
    `ex` - - exception thrown.

Groovy Documentation